Installation und Initialisierung
Installation
Um die React Editor-Bibliothek zu installieren, führen Sie folgenden Befehl aus:
//npm
npm install @svar-ui/react-editor
//yarn
yarn add @svar-ui/react-editor
Initialisierung
Das Editor-Widget bietet flexible Optionen zur Initialisierung, mit denen Entwickler Eingabefelder definieren, Werte vorausfüllen und das Widget im bearbeitbaren oder schreibgeschützten Modus einrichten können. Es unterstützt eine Vielzahl von Konfigurationen für unterschiedliche Anwendungsfälle.
Das Editor-Widget initialisieren
Der Editor verfügt über integrierte Controls: "text", "textarea", "checkbox", "section" und "readonly".
Um weitere Controls zu verwenden, müssen Sie diese aus der @svar-ui/react-core-Bibliothek importieren und als Editor-Elemente mit dem entsprechenden registerEditorItem-Helper registrieren:
import { Editor } from "@svar-ui/react-editor";
const items = [
{ comp: "text", key: "name", label: "Name" },
{
comp: "textarea",
key: "descr",
label: "Description"
},
{ comp: "checkbox", key: "admin", label: "Is Admin" }
];
const values = {
name: "John Doe",
descr: "Lorem ipsum dolor sit amet",
admin: true,
role: "admin"
};
export default function Example() {
return <Editor items={items} values={values} />;
}
Dieses Beispiel zeigt, wie das Editor-Widget mit einer Liste von Eingabefeldern und den dazugehörigen Werten initialisiert wird. Das items-Array definiert die Struktur des Formulars, wobei jedes Objekt den Eingabetyp (comp), einen eindeutigen Schlüssel (key) und ein benutzerfreundliches Label (label) angibt. Das values-Objekt stellt Anfangswerte für diese Eingaben bereit, die über ihre Schlüssel zugeordnet werden. Diese Konfiguration eignet sich für die Erstellung eines einfachen Formulars mit vorgeladenen Daten, beispielsweise beim Bearbeiten eines bestehenden Datensatzes.
Das Editor-Widget im schreibgeschützten Modus initialisieren
import { Editor } from "@svar-ui/react-editor";
const items = [
{ comp: "text", key: "name", label: "Name" },
{
comp: "textarea",
key: "descr",
label: "Description",
},
{ comp: "checkbox", key: "admin", label: "Is Admin" }
];
const values = {
name: "John Doe",
descr: "Lorem ipsum dolor sit amet",
admin: true,
role: "admin"
};
export default function ReadOnlyExample() {
return <Editor items={items} values={values} readonly={true} />;
}
Dieses Beispiel zeigt, wie das Editor-Widget im schreibgeschützten Modus initialisiert wird. Die readonly-Eigenschaft wird auf true gesetzt, wodurch Benutzer die Eingabefelder nicht bearbeiten können. Das items-Array und das values-Objekt werden genauso definiert wie im bearbeitbaren Modus. Diese Konfiguration ist ideal für Szenarien, in denen Formulardaten angezeigt werden sollen, ohne Änderungen zu erlauben, etwa in einer Prüf- oder Auditoberfläche.

Vollständiger Initialisierungscode
Um das Widget in Aktion zu sehen, fügen Sie einige Elemente hinzu.
import { Editor } from "@svar-ui/react-editor";
import { Willow } from "@svar-ui/react-core";
const items = [
{ comp: "text", key: "name", label: "Name" },
{ comp: "text", key: "descr", label: "Description" },
{ comp: "text", key: "role", label: "Role" }
];
const values = {
name: "John Doe",
descr: "Lorem ipsum dolor sit amet",
role: "admin"
};
export default function App() {
return (
<Willow>
<Editor items={items} values={values} />
</Willow>
);
}
Um eine korrekte Initialisierung sicherzustellen, wird empfohlen, ein Theme auf der obersten Ebene Ihrer Anwendung anzuwenden. Wenn Sie die Editor-Komponente eigenständig verwenden, vergessen Sie nicht, sie in ein Theme einzubetten (im obigen Beispiel wird Willow verwendet).
Visuelle Themes
Das Widget wird in zwei visuellen Stilen bereitgestellt – Hell und Dunkel – die über das Theme-Tag gesteuert werden.
import { Willow, WillowDark } from "@svar-ui/react-core";
export function LightThemeExample() {
return (
<Willow>
<Editor />
</Willow>
);
}
export function DarkThemeExample() {
return (
<WillowDark>
<Editor />
</WillowDark>
);
}

Installation und Initialisierung
Installation
Um die Vue Editor-Bibliothek zu installieren, führen Sie folgenden Befehl aus:
//npm
npm install @svar-ui/vue-editor
//yarn
yarn add @svar-ui/vue-editor
Initialisierung
Das Editor-Widget bietet flexible Optionen zur Initialisierung, mit denen Entwickler Eingabefelder definieren, Werte vorausfüllen und das Widget im bearbeitbaren oder schreibgeschützten Modus einrichten können. Es unterstützt eine Vielzahl von Konfigurationen für unterschiedliche Anwendungsfälle.
Das Editor-Widget initialisieren
Der Editor verfügt über integrierte Controls: "text", "textarea", "checkbox", "section" und "readonly".
Um weitere Controls zu verwenden, müssen Sie diese aus der @svar-ui/vue-core-Bibliothek importieren und als Editor-Elemente mit dem entsprechenden registerEditorItem-Helper registrieren:
<script setup>
import { Editor } from "@svar-ui/vue-editor";
const items = [
{ comp: "text", key: "name", label: "Name" },
{
comp: "textarea",
key: "descr",
label: "Description"
},
{ comp: "checkbox", key: "admin", label: "Is Admin" }
];
const values = {
name: "John Doe",
descr: "Lorem ipsum dolor sit amet",
admin: true,
role: "admin"
};
</script>
<template>
<Editor :items="items" :values="values" />
</template>
Dieses Beispiel zeigt, wie das Editor-Widget mit einer Liste von Eingabefeldern und den dazugehörigen Werten initialisiert wird. Das items-Array definiert die Struktur des Formulars, wobei jedes Objekt den Eingabetyp (comp), einen eindeutigen Schlüssel (key) und ein benutzerfreundliches Label (label) angibt. Das values-Objekt stellt Anfangswerte für diese Eingaben bereit, die über ihre Schlüssel zugeordnet werden. Diese Konfiguration eignet sich für die Erstellung eines einfachen Formulars mit vorgeladenen Daten, beispielsweise beim Bearbeiten eines bestehenden Datensatzes.
Das Editor-Widget im schreibgeschützten Modus initialisieren
<script setup>
import { Editor } from "@svar-ui/vue-editor";
const items = [
{ comp: "text", key: "name", label: "Name" },
{
comp: "textarea",
key: "descr",
label: "Description",
},
{ comp: "checkbox", key: "admin", label: "Is Admin" }
];
const values = {
name: "John Doe",
descr: "Lorem ipsum dolor sit amet",
admin: true,
role: "admin"
};
</script>
<template>
<Editor :items="items" :values="values" :readonly="true" />
</template>
Dieses Beispiel zeigt, wie das Editor-Widget im schreibgeschützten Modus initialisiert wird. Die readonly-Eigenschaft wird auf true gesetzt, wodurch Benutzer die Eingabefelder nicht bearbeiten können. Das items-Array und das values-Objekt werden genauso definiert wie im bearbeitbaren Modus. Diese Konfiguration ist ideal für Szenarien, in denen Formulardaten angezeigt werden sollen, ohne Änderungen zu erlauben, etwa in einer Prüf- oder Auditoberfläche.

Vollständiger Initialisierungscode
Um das Widget in Aktion zu sehen, fügen Sie einige Elemente hinzu.
<script setup>
import { Editor, Willow } from "@svar-ui/vue-editor";
const items = [
{ comp: "text", key: "name", label: "Name" },
{ comp: "text", key: "descr", label: "Description" },
{ comp: "text", key: "role", label: "Role" }
];
const values = {
name: "John Doe",
descr: "Lorem ipsum dolor sit amet",
role: "admin"
};
</script>
<template>
<Willow>
<Editor :items="items" :values="values" />
</Willow>
</template>
Um eine korrekte Initialisierung sicherzustellen, wird empfohlen, ein Theme auf der obersten Ebene Ihrer Anwendung anzuwenden. Wenn Sie die Editor-Komponente eigenständig verwenden, vergessen Sie nicht, sie in ein Theme einzubetten (im obigen Beispiel wird Willow verwendet).
Visuelle Themes
Das Widget wird in zwei visuellen Stilen bereitgestellt – Hell und Dunkel – die über das Theme-Tag gesteuert werden.
<script setup>
import { Willow, WillowDark } from "@svar-ui/vue-core";
</script>
<template>
<!-- Light -->
<Willow>
<Editor />
</Willow>
<!-- Dark -->
<WillowDark>
<Editor />
</WillowDark>
</template>